Subject: Re: redo-ood taking much longer to return in a copy of a project, compared with the original

From: Karolis K <[email-masked]>
Date: Sat, 20 Nov 2021 21:18:35 +0200

Hello and thank you for such a prompt reply!

> And basically nothing can be done, as I can see. The only guaranteed
> information we can trust is file's contents, that also can be trusted
> through long-enough collision resistant hash function.

I see what you mean here. But I wonder - maybe it’s possible to somehow have this slow check be performed only once, and then updated?
For example, and I assume here, that once the hash is checked and found correct we can maybe update the stored ctime to match that of the file?

It’s just hard for me to accept that after copying the project (or even renaming it with mv) it will be forever doomed to have a slow redo-ood return.
Seems like this would negate a part of advantage that comes with having .redo/ info being stored within each directory separately.

Sorry in advance if my suggestion doesn’t make sense.
Warm regards,
Karolis K.